/*--------------------------------*/

/*--------------------------------*/
/* INITIAL SETUP */
/*--------------------------------*/

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body {
  background-color: #f4f4f4;
  color: #fff;
  font-family: 'Roboto', 'Merriweather', sans-serif;
  font-size: 20px;
  line-height: 1.6;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  scroll-behavior: smooth;
  overflow-x: hidden;
}

/*--------------------------------*/
/* REUSABLE PROPERTIES */
/*--------------------------------*/

*:focus { outline: none; }
h1, h2, h3, h4, h5, h6 { 
  font-family: 'Roboto', sans-serif;
  color: #0b3d2e;
  transition: 0.3s ease;
}

p {
  font-family: 'Merriweather', sans-serif;
  font-size: 0.9em;
  font-weight: 400;
  line-height: 1.6;
  transition: 0.3s ease;
}

h2 {
  font-size: 2.2em;
  font-weight: 700;
  line-height: 1.2;
  text-transform: uppercase;
  letter-spacing: 0.1em;
  text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.4);
}

h4 {
  font-size: 1.0em;
  font-weight: 400;
  line-height: 1.5;
}

ion-icon { color: #ff7a00; transition: 0.3s linear ;}
ion-icon:hover { color: #fffcf2ff; }

.icon {
  height: 100px;
  width: 100px;
  text-align: center;
  font-size: 3em;
  color: #ff7a00;
  margin-bottom: 10px;
  background-color: #fffcf2ff;
  outline: 5px solid #fff;
  border-radius: 10px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  padding: 10px;
  transition: 0.3s linear, color 0.5s linear;
}

.icon:hover {
  color: #fffcf2ff;
  background-color: #0b3d2e;
  box-shadow: 0 6px 8px rgba(0, 0, 0, 0.1);
}

.cta-button {
  display: inline-block;
  padding: 10px 20px;
  background-color: #ff7a00;
  color: #fff;
  text-decoration: none;
  border-radius: 5px;
  font-size: 16px;
  transition: 0.3s linear;
  pointer-events: visible;
}

.cta-button:hover { background-color: #0b3d2e; }
section { padding: 100px; }

/*--------------------------------*/
/* PRELOADER & BACK TO TOP */
/*--------------------------------*/

/* Preloader Styles */
#preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #fffcf2ff;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 1000000;
}

.loader {
  width: 80px;
  height: 80px;
  border: 5px solid #fffcf2ff;
  border-top: 5px solid #0b3d2e;
  border-radius: 50%;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  0% {
      transform: rotate(0deg);
  }
  100% {
      transform: rotate(360deg);
  }
}

/* Back to Top Button Styles */
#backToTop {
  position: fixed;
  bottom: 30px;
  right: 50px;
  background-color: #ff7a00;
  color: #fff;
  border: none;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  font-size: 24px;
  cursor: pointer;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.3);
  display: none;
  transition: 0.3s ease;
}

#backToTop:hover {
  background-color: #0b3d2e;
  color: #fff;
  transform: scale(1.05);
}


/*--------------------------------*/
/* HEADER */
/*--------------------------------*/

header {
  width: 100%;
  min-height: 100vh;
  min-height: 100dvh;
  position: relative;
  overflow: hidden;
}

.top_nav {
  position: relative;
  z-index: 10000;
  padding: 10px 100px;
  width: 100%;
  background-color: #0b3d2e;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.top_nav_contents {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.top_nav_contents ion-icon { margin-right: 10px; }
.top_nav_contents p { margin-right: 50px; }

.top_nav_email,
.top_nav_contact,
.top_nav_address,
.top_nav_socials {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}

.top_nav_socials ion-icon { margin-left: 15px; }
.top_nav p { font-size: 0.7em; }

/* Main Nav*/

nav {
  position: relative;
  z-index: 100000;
  width: 100%;
  background-color: #f4f4f4;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 2em;
  padding: 5px 100px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.5);
  transition: transform 0.3s ease-in-out; /* Smooth sliding effect */
}

nav .logo {
  display: flex;
  flex-basis: 15%;
  max-width: 100%;
  height: 60px;
  justify-content: flex-start;
}

nav .logo img {
  width: 100%;
  height: 100%;
  cursor: pointer;
}

.nav {
  position: relative;
  display: flex;
  flex: 1;
  align-items: center;
  justify-content: flex-end;
  transition: 0.5s ease;
}

.nav .nav_items {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  list-style: none;
}

.nav .nav_items li { margin-left: 30px; }

.nav .nav_items li a:link,
.nav .nav_items li a:visited {
  text-decoration: none;
  color: #585858;
  font-weight: 600;
  font-size: 0.9em;
  transition: 0.3s ease;
}

.nav .nav_items li a:hover,
.nav .nav_items li a:active { 
  color: #0b3d2e;
  transition: 0.3s ease;
}

.nav .nav_items li a.active { 
  color: #0b3d2e;
  font-weight: 700;
  transition: 0.3s ease;
}

.nav .nav_items li a.active:hover { color: #ff7a00; }

nav .cta-button {
  flex-basis: 20%;
  max-width: -webkit-fit-content;
  max-width: -moz-fit-content;
  max-width: fit-content;
}

/* Sticky Nav*/

.sticky {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  box-shadow: 0 4px 6px rgba(20, 18, 4, 0.1);
  z-index: 100000;
  padding: 10px 25px;
}

.sticky .logo { flex-basis: 15%; }

/*Mobile Nav*/

.mobile_nav_icon {
  z-index: 10000;
  background: url(img/menu-sharp.png)no-repeat;
  background-size: 30px;
  background-position: center;
  width: 50px;
  height: 50px;
  cursor: pointer;
  transition: 0.3s ease;
  display: none;
}

.mobile_nav_icon.active {
  z-index: 10000;
  background: url(img/close.png)no-repeat;
  background-size: 30px;
  background-position: center;
  cursor: pointer;
  transition: 0.3s ease;
}

.nav.active {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  min-height: 100vh;
  min-height: 100dvh;
  display: flex;
  align-items: center;
  justify-content: center;
  background: rgba(20, 18, 4, 0.8);
  transition: 0.5s ease;
  -webkit-animation: waterEffect 1s ease-in-out both;
  animation: waterEffect 1s ease-in-out both;
}

.nav.active .nav_items {
  background: #fffcf2ff;
  width: 450px;
  max-width: 450px;
  padding: 20px;
  margin: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border-radius: 5px;
  box-shadow: 0 5px 25px rgb(1 1 1 / 20%);
  transition: 0.3s ease;
}

.nav.active .nav_items li a:link,
.nav.active .nav_items li a:visited {
  color: #141204ff;
  position: relative;
  display: block;
  transition: 0.3s ease;
  font-size: 110%;
  margin: 20px auto;
}

.nav.active .nav_items li a:after {
  content: '';
  background-color: #141204ff;
  display: block;
  width: 0;
  height: 3px;
  border-radius: 10%;
  transition: 0.3s ease;
}

.nav.active .nav_items li a:hover::after,
.nav.active .nav_items li a:active { width: 100%; }

/* Hero*/

.hero {
  position: absolute;
  top: 0;
  width: 100%;
  min-height: 100vh;
  min-height: 100dvh;
  overflow: hidden;
  pointer-events: none;
  background-color: #ff7a00;
}

.hero::before {
  content: "";
  position: absolute;
  z-index: 9000;
  top: 0;
  left: 0;
  width: 100%;
  min-height: 100vh;
  min-height: 100dvh;
  background: linear-gradient(to right, rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.4));
  pointer-events: none;
}

.hero_img {
  -o-object-fit: cover;
  object-fit: cover;
  width: 100%;
  min-height: 100vh;
  min-height: 100dvh;
  position: absolute;
  -webkit-clip-path: circle(0% at 0 50%);
  clip-path: circle(0% at 0 50%);
}

.hero_img.active {
  -webkit-clip-path: circle(150% at 0 50%);
  clip-path: circle(150% at 0 50%);
  transition: 2s ease-in-out;
  transition-property: -webkit-clip-path;
  transition-property: clip-path;
  transition-property: clip-path, -webkit-clip-path;
  overflow-x: hidden;
  overflow-y: hidden;
}

.hero_content {
  position: absolute;
  top: 0;
  z-index: 10000;
  display: none;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  width: 100%;
  min-height: 100vh;
  min-height: 100dvh;
  overflow: hidden;
  padding: 150px 100px 0 100px;
  pointer-events: none;
}

.hero_content.active { display: flex; }

.hero_content h4 {
  font-size: 0.9em;
  color: #ff7a00;
  margin-bottom: 5px;
}

.hero_content h2 {
  color: #fff;
  margin-bottom: 5px;
  max-width: 60%;
}

.hero_content p {
  font-size: 0.9em;
  color: #fffcf2ff;
  margin-bottom: 10px;
  max-width: 50%;
}

.slider_nav {
  position: absolute;
  top: 50%;
  right: 20%;
  z-index: 10000;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  transition: 0.3s ease;
}

.slider_nav .nav_btn {
  width: 15px;
  height: 15px;
  margin-bottom: 10px;
  background-color: #fffcf2ff;
  border-radius: 50%;
  cursor: pointer;
  box-shadow: 0 0 2px rgba(255, 255, 255, 0.5);
  transition: 0.3s 0.2s linear;
}

.slider_nav .nav_btn.active { background-color: #ff7a00; }

.slider_nav .nav_btn:hover {
  border: none;
  background-color: #ff7a00;
  transform: scale(1.15);
}

/*--------------------------------*/
/* ABOUT US */
/*--------------------------------*/

.about-us-section {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 3em;
  color: #585858;
  transition: 0.3s ease;
}

.about-us-img {
  display: flex;
  align-items: center;
  justify-content: center;
  flex: 40%;
  width: 100%;
  height: 500px;
  border-radius: 10px;
  overflow: hidden;
  transition: 0.3s ease;
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.3), 0 6px 6px rgba(0, 0, 0, 0.2);
}

.about-us-img:hover { box-shadow: 0 15px 25px rgba(0, 0, 0, 0.4), 0 8px 10px rgba(0, 0, 0, 0.3); }

.about-us-img img {
  -o-object-fit: cover;
     object-fit: cover;
  border-radius: 10px;
  width: 100%;
  height: 100%;
  transition: 0.3s ease;
}

.about-us-img:hover img { transform: scale(1.02); }

.about-us-body {
  flex: 60%;
  align-items: flex-start;
}

.about-us-body h4 {
  color: #ff7a00;
  text-transform: uppercase;
  font-size: 0.8em;
  font-weight: 700;
  margin-bottom: 10px;
}

.about-us-body h2 {
  color: #0b3d2e;
  margin-bottom: 10px;
  text-transform: capitalize;
  text-shadow: none;
}

.about-us-body p {
  margin-bottom: 20px;
  max-width: 90%;
  text-align: justify;
}

/*--------------------------------*/
/* SERVICES */
/*--------------------------------*/

.services-section {
  position: relative;
  display: flex;
  align-items: flex-start;
  justify-content: center;
  flex-direction: column;
  gap: 1em;
  color: #585858;
  transition: 0.3s ease;
  background-color: fffcf2ff;
}

.services-header { max-width: 70%; }

.services-header h4 {
  color: #ff7a00;
  text-transform: uppercase;
  font-size: 0.8em;
  font-weight: 700;
  margin-bottom: 10px;
}

.services-header h2 {
  color: #0b3d2e;
  margin-bottom: 10px;
  text-transform: capitalize;
  text-shadow: none;
}

.services-header p {
  margin-bottom: 20px;
  max-width: 70%;
}

.services-body {
  position: relative;
  display: flex;
  align-items: flex-start;
  justify-content: flex-start;
  max-width: 70%;
  gap: 3em;
  flex-wrap: wrap;
}

.service {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  justify-content: center;
  flex: 35%;
  background-color: #fff;
  border-radius: 5px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.3), 0 3px 3px rgba(0, 0, 0, 0.2);
  transition: 0.3s ease;
}

.service-img {
  width: 100%;
  height: 250px;
  overflow: hidden;
  transition: 0.3s ease;
}

.service-img img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  border-radius: 5px 5px 0 0;
  transition: 0.3s ease;
}

.service-img:hover img { transform: scale(1.02); }
.service-content { padding: 40px 35px; }

.service-content h3 {
  color: #0b3d2e;
  font-size: 1.3em;
  font-weight: 700;
  margin-bottom: 15px;
}

.service-content p {
  font-size: 0.9em;
  margin-bottom: 20px;
  text-align: justify;
  text-justify: distribute;
}

.service-icon {
  width: 80px;
  height: 80px;
  background-color: #fffcf2ff;
  outline: 5px solid #fff;
  border-radius: 2px;
  position: absolute;
  top: 10rem;
  left: 2rem;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  transition: 0.3s linear;
}

.service-icon img {
  width: 100%;
  height: 100%;
  transition: 0.5s ease;
}

.service-icon:hover,
.why-icon:hover {
  background-color: #0b3d2e;
  box-shadow: 0 6px 8px rgba(0, 0, 0, 0.1);
}

.service-icon:hover img:hover,
.why-icon:hover img:hover { -webkit-filter: hue-rotate(0deg) saturate(0%) brightness(200%); filter: hue-rotate(0deg) saturate(0%) brightness(200%); }

/*--------------------------------*/
/* WHY CHOOSE US */
/*--------------------------------*/

.why-choose-us {
  position: relative;
  display: flex;
  align-items: flex-end;
  justify-content: center;
  flex-direction: column;
  width: 100%;
  gap: 1em;
  color: #585858;
  transition: 0.3s ease;
}

.why-choose-us::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: fffcf2ff;
}

.why-choose-us-header {
  max-width: 75%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-end;
}

.why-choose-us-header h4 {
  color: #ff7a00;
  text-transform: uppercase;
  font-size: 0.8em;
  font-weight: 700;
  margin-bottom: 10px;
}

.why-choose-us-header h2 {
  color: #0b3d2e;
  margin-bottom: 10px;
  text-transform: capitalize;
  text-shadow: none;
  text-align: right;
}

.why-choose-us-header p {
  margin-bottom: 10px;
  text-align: justify;
  max-width: 85%;
}

.why-us {
  min-width: 63%;
  display: flex;
  gap: 1em;
}

.why-us-icon {
  display: flex;
  flex-direction: column;
  gap: 0.8em;
  font-size: 1em;
}

.why-us-icon ion-icon { font-size: 1.5em; }
.why-us-icon ion-icon:hover { color: #0b3d2e; }

.why {
  display: flex;
  list-style: none;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  gap: 1em;
  font-size: 0.9em;
  margin-bottom: 50px;
}

.why-body {
  position: relative;
  display: flex;
  align-items: flex-start;
  justify-content: flex-start;
  max-width: 70%;
  gap: 3em;
  flex-wrap: wrap;
}

.why-body-content {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  justify-content: center;
  flex: 35%;
  background-color: #fff;
  border-radius: 5px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.3), 0 3px 3px rgba(0, 0, 0, 0.2);
  transition: 0.3s ease;
}

.why-img {
  width: 100%;
  height: 250px;
  overflow: hidden;
  transition: 0.3s ease;
}

.why-img img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  border-radius: 5px 5px 0 0;
  transition: 0.3s ease;
}

.why-img:hover img { transform: scale(1.02); }
.why-content { padding: 40px 35px; }

.why-content h3 {
  color: #0b3d2e;
  font-size: 1.3em;
  font-weight: 700;
  margin-bottom: 15px;
}

.why-content p {
  font-size: 0.9em;
  margin-bottom: 20px;
  text-align: justify;
  text-justify: distribute;
}

.why-icon {
  width: 80px;
  height: 80px;
  background-color: #fffcf2ff;
  outline: 5px solid #fff;
  border-radius: 2px;
  position: absolute;
  top: 10rem;
  left: 2rem;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  transition: 0.3s linear;
}

.why-icon img {
  width: 100%;
  height: 100%;
  transition: 0.5s linear;
}

.features-container {
  position: relative;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  margin-top: 10%;
  max-width: -webkit-fit-content;
  max-width: -moz-fit-content;
  max-width: fit-content;
}

.feature {
  flex: 33.33%;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1em;
  margin-bottom: 30px;
}

.content h3 {
  color: #0b3d2e;
  font-size: 2em;
  font-weight: 700;
}

.content p {
  font-size: 0.7em;
  margin-bottom: 20px;
  text-align: left;
  max-width: 70%;
}

/*--------------------------------*/
/* CTA */
/*--------------------------------*/

.cta-banner {
  position: relative;
  width: 100%;
  background: linear-gradient(to right, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.3)), url('img/cta-banner-1.jpg');
  background-position: center;
  background-size: cover;
  max-height: 100vh;
  max-height: 100dvh;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.3s ease;
}

.cta-banner-2 {
  position: relative;
  width: 100%;
  background: linear-gradient(to right, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.3)), url('img/cta-banner-2.jpg');
  background-position: center;
  background-size: cover;
  max-height: 100vh;
  max-height: 100dvh;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.3s ease;
}

.cta-content {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  max-width: 82%;
}

.cta-content h4 {
  font-size: 0.9em;
  color: #ff7a00;
  margin-bottom: 10px;
}

.cta-content h2 {
  color: #fff;
  margin-bottom: 10px;
}
.cta-content p {
  font-size: 0.9em;
  color: #fffcf2ff;
  margin-bottom: 10px;
  max-width: 83%;
}

/*--------------------------------*/
/* WORKING PROCESS */
/*--------------------------------*/

.working-process {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 1em;
  color: #585858;
  transition: 0.3s ease;
}

.working-process-header {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.working-process-header h4 {
  color: #ff7a00;
  text-transform: uppercase;
  font-size: 0.8em;
  font-weight: 700;
  margin-bottom: 10px;
}

.working-process-header h2 {
  max-width: 70%;
  color: #0b3d2e;
  margin-bottom: 10px;
  text-transform: capitalize;
  text-shadow: none;
  text-align: center;
}

.working-process-header p {
  margin-bottom: 30px;
  text-align: center;
  max-width: 60%;
}

.process-steps {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.step {
  flex: 25%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-radius: 10px;
  padding: 20px;
  text-align: center;
}

.step h3 {
  color: #0b3d2e;
  font-size: 1.5em;
  font-weight: 700;
  margin-bottom: 5px;
}

.step p {
  font-size: 0.8em;
  margin-bottom: 20px;
  text-align: center;
  max-width: 80%;
}

.step:nth-of-type(2),
.step:nth-of-type(4) {
  transform: translateY(40px);
}

/*--------------------------------*/
/* TESTIMONIALS */
/*--------------------------------*/

.testimonials {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 1em;
  color: #585858;
  transition: 0.3s ease;
}

.testimonials-header {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.testimonials-header h4 {
  color: #ff7a00;
  text-transform: uppercase;
  font-size: 0.8em;
  font-weight: 700;
  margin-bottom: 10px;
}

.testimonials-header h2 {
  max-width: 70%;
  color: #0b3d2e;
  margin-bottom: 10px;
  text-transform: capitalize;
  text-shadow: none;
  text-align: center;
}

.testimonials-header p {
  margin-bottom: 30px;
  text-align: center;
  max-width: 60%;
}

.testimonial-slider {
  display: flex;
  width: 100%;
  flex-wrap: wrap;
  justify-content: center;
  gap: 2em;
  cursor: pointer;
}

.testimonial-card {
  display: flex;
  flex: 48%;
  flex-direction: row;
  gap: 0.5em;
  outline: 2px solid #0b3d2e;
  border-radius: 5px;
  padding: 30px;
  transition: 0.3s ease;
}

.testimonial-card:hover { transform: translateY(-5px); }

/* Client Information Section */
.client-info {
  display: flex;
  flex: 40%;
  flex-direction: column;
  align-items: flex-start;
  justify-content: space-between;
  gap: 1em;
  transition: 0.3s linear;
}

.client-img {
  width: 100px;
  height:  auto;
  border-radius: 50%;
  transition: 0.3s linear;
}

.client-img:hover { transform: scale(1.05); }

.client-details h3 {
  font-size: 1.2em;
  margin: 0;
  margin-bottom: -5px;
  color: #0b3d2e;
  font-weight: 700;
}

.client-details p {
  font-size: 0.7em;
  line-height: 2em;
  color: #585858;
  margin: 0;
}

/* Review Section */
.review {
  flex: 60%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  text-align: left;
}

.ratings { color: #ff7a00; }

.ratings i {
  font-size: 0.9em;
  margin-right: 2px;
  transition: 0.3s linear;
  cursor: pointer;
}

.ratings i:hover {
  color: #0b3d2e;
  transform: scale(1.1);
}

.review p {
  font-size: 0.9em;
  color: #585858;
  line-height: 1.6;
  text-align: justify;
  text-justify: distribute;
}

.slider-controls {
  display: flex;
  justify-content: center;
  margin-top: 20px;
}

.control-btn {
  background-color: #0b3d2e;
  color: white;
  border: none;
  padding: 10px;
  font-size: 1.2em;
  border-radius: 5px;
  margin: 0 10px;
  cursor: pointer;
  transition: 0.3s linear;
}

.control-btn:hover {
  background-color: #ff7a00;
  transform: scale(1.05);
}

.testimonial-slider { display: none; }
.testimonial-slider.activer { display: flex; }


/*--------------------------------*/
/* TEAM MEMBERS */
/*--------------------------------*/

.team {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 1em;
  color: #585858;
  transition: 0.3s ease;
}

.team-header {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.team-header h4 {
  color: #ff7a00;
  text-transform: uppercase;
  font-size: 0.8em;
  font-weight: 700;
  margin-bottom: 10px;
}

.team-header h2 {
  max-width: 70%;
  color: #0b3d2e;
  margin-bottom: 10px;
  text-transform: capitalize;
  text-shadow: none;
  text-align: center;
}

.team-header p {
  margin-bottom: 30px;
  text-align: center;
  max-width: 60%;
}

/* Team Container */
.team-slider {
  width: 100%;
  position: relative;
  display: flex;
  flex-wrap: wrap;
  align-content: center;
  justify-content: center;
  gap: 1.5em;
  transition: transform 0.5s ease-in-out;
}

.team-body-content {
  flex: 21%;
  background-color: #fff;
  border-radius: 5px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.3);
  transition: 0.3s ease;
  text-align: center;
}

.team-img {
  width: 100%;
  height: 200px;
  overflow: hidden;
}

.team-img img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  border-radius: 5px 5px 0 0;
  transition: 0.3s ease;
}

.team-content {
  text-align: left;
  padding: 30px;
}

.team-content h3 {
  color: #0b3d2e;
  font-size: 1.1em;
  font-weight: 600;
  line-height: 1.2;
  text-transform: uppercase;
}

.team-content h4 {
  color: #ff7a00;
  font-size: 0.8em;
}


/*--------------------------------*/
/* FAQ */
/*--------------------------------*/

.faq-section {
  display: flex;
  justify-content: center;
  gap: 1em;
  color: #585858;
  transition: 0.3s ease;
}

.faq-header {
  flex: 50%;
  align-items: flex-start;
  justify-content: center;
}

.faq-header h4 {
  color: #ff7a00;
  text-transform: uppercase;
  font-size: 0.8em;
  font-weight: 700;
  margin-bottom: 10px;
}

.faq-header h2 {
  color: #0b3d2e;
  margin-bottom: 10px;
  text-transform: capitalize;
  text-shadow: none;
}

.faq-header p {
  margin-bottom: 20px;
  max-width: 90%;
  text-align: justify;
}

.faq-body {
  flex: 50%;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  justify-content: center;
}

.accordion {
  display: flex;
  align-items: center;
  justify-content: space-between;
  cursor: pointer;
  background-color: inherit;
  padding: 18px;
  text-align: left;
  font-size: 1em;
  border: none;
  outline: none;
  transition: 0.3s linear;
}

.actives, .accordion:hover {
  color: #fffcf2ff;
  background-color: #0b3d2e;
}

.panel {
  padding: 5px 18px;
  font-size: 0.9em;
  line-height: 1.5em;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.2s ease-out;
}

.accordion ion-icon {
  font-size: 1.2em;
  margin-left: auto;
  transition: 0.4s linear;
}

.accordion:hover ion-icon { color: #fffcf2ff; }
.accordion .remove-circle { display: none; }
.actives .add-circle { display: none; }
.actives .remove-circle { display: inline-block; }


/*--------------------------------*/
/* CONTACT */
/*--------------------------------*/

.contact-section {
  position: relative;
  background-color: #fff;
  background-size: 35%;
  display: flex;
  justify-content: center;
  gap: 2em;
  color: #585858;
  transition: 0.3s ease;
}

.contact-section::before {
  content: '';
  position: absolute;
  bottom: -7%;
  right: 0;
  width: 100%;
  height: 100%;
  background-color: #fff;
  z-index: 10000;
}

.contact-header {
  z-index: 10000;
  display: flex;
  flex-direction: column;
  flex: 45%;
  order: 2;
  align-items: flex-end;
  text-align: right;
  justify-content: center;
}

.contact-header h4 {
  color: #ff7a00;
  text-transform: uppercase;
  font-size: 0.8em;
  font-weight: 700;
  margin-bottom: 10px;
}

.contact-header h2 {
  color: #0b3d2e;
  margin-bottom: 10px;
  text-transform: capitalize;
  text-shadow: none;
}

.contact-header p {
  margin-bottom: 20px;
  max-width: 80%;
}

.contact-body {
  flex: 55%;
  z-index: 10000;
  order: 1;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  justify-content: center;
}

.contact-details {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.contact-infos {
  display: flex;
  flex: 80%;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  margin-bottom: 30px;
}

.contact-info {
  flex: 50%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 1em;
  margin-bottom: 10px;
}

.contact-icon {
  height: 80px;
  width: 80px;
  text-align: center;
  font-size: 2em;
  color: #ff7a00;
  background-color: #fffcf2ff;
  outline: 5px solid #fff;
  border-radius: 10px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  padding: 10px;
  transition: 0.3s linear, color 0.5s linear;
}

.contact-icon:hover {
  color: #fffcf2ff;
  background-color: #0b3d2e;
  box-shadow: 0 6px 8px rgba(0, 0, 0, 0.1);
}

.contact-content { 
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-bottom: 10px;
}

.contact-content h3 {
  color: #0b3d2e;
  font-size: 1.1em;
  font-weight: 700;
}

.contact-content p {
  font-size: 0.8em;
  text-align: center;
}

.contact-content a:link,
.contact-content a:visited {
  text-decoration: none;
  font-size: 0.7em;
  font-weight: 400;
  color: #585858;
  transition: 0.3s ease;
}

.contact-content a:hover,
.contact-content a:active { color: #f7931a; }

.contact-socials {
  flex: 20%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 1em;
  cursor: pointer;
}

.contact-socials ion-icon { 
  color: #ff7a00; 
  font-size: 1.5em;
  transition: 0.3s linear;
}
.contact-socials ion-icon:hover { color: #0b3d2e; }

input,
textarea {
  width: 100%;
  display: block;
  margin-bottom: 30px;
  padding: 10px;
  border-radius: 4px;
  border: 1px solid #0b3d2e;
  background-color: transparent;
  
}

input:last-of-type {
  width: auto;
  border: 1px solid transparent;
  margin-bottom: 0;
  
}

input[type=submit] {
  text-decoration: none;
  padding: 10px 20px;
  background-color: #ff7a00;
  color: #fff;
  border-radius: 5px;
  font-size: 1em;
  transition: 0.3s linear;
}

input[type=submit]:hover { background-color: #0b3d2e; }

input::-webkit-input-placeholder, textarea::-webkit-input-placeholder{
  font-size: 0.8em;
  color: #0b3d2e;
  opacity: 0.3;
}

input::-moz-placeholder, textarea::-moz-placeholder{
  font-size: 0.8em;
  color: #0b3d2e;
  opacity: 0.3;
}

input:-ms-input-placeholder, textarea:-ms-input-placeholder{
  font-size: 0.8em;
  color: #0b3d2e;
  opacity: 0.3;
}

input::-ms-input-placeholder, textarea::-ms-input-placeholder{
  font-size: 0.8em;
  color: #0b3d2e;
  opacity: 0.3;
}

input::placeholder,
textarea::placeholder{
  font-size: 0.8em;
  color: #0b3d2e;
  opacity: 0.3;
}

textarea {
  max-width: 100%;
  resize: vertical;
  max-height: 200px;
}

.form-messages {
  color: #fffcf2ff;
  width: auto;
  height: 50px;
  padding: 10px;
  margin-bottom: 20px;
  border-radius: 10%;
}

.success { background-color: green; }
.error { background-color: red; }

iframe { width: 100%; }

/*--------------------------------*/
/* SUBSCRIBE */
/*--------------------------------*/

.subscribe {
  width: 100%;
  padding: 50px 100px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1em;
  position: relative;
  background: linear-gradient(to right, rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.5)), url('img/subscribe.jpg');
  background-position: center;
  background-size: cover;
  transition: 0.3s ease;
}

.subscribe-logo {
  flex: 20%;
}

.subscribe-logo img {
  width: 100%;
  height: 100%;
}

.subscribe-nav-items {
  flex: 30%;
  display: flex;
  flex-direction: column;
  justify-content: stretch;
  align-items: center;
  list-style-type: none;
  gap: 1em;
}

.subscribe-nav-items li a:link,
.subscribe-nav-items li a:visited {
  text-decoration: none;
  color: #fff;
  transition: 0.3s ease;
}

.subscribe-nav-items li { transition: 0.3s linear; }
.subscribe-nav-items li a:hover,
.subscribe-nav-items li a:active { color: #ff7a00; }
.subscribe-nav-items li:hover { transform: translateX(3px); }

.subscribe-container {
  flex: 50%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  padding: 20px;
  background-color: #f4f4f4;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.subscribe-container h4 {
  color: #ff7a00;
  text-transform: uppercase;
  font-size: 0.8em;
  font-weight: 700;
  margin-bottom: 10px;
}

.subscribe-container h2 {
  color: #0b3d2e;
  font-size: 1em;
  margin-bottom: 10px;
  text-transform: uppercase;
  text-shadow: none;
}

.subscribe-container form {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  gap: 2em;
}

.subscribe-container input[type="email"] {
  width: 100%;
  display: block;
  color: #0b3d2e;
  margin-bottom: 30px;
  padding: 10px;
  border-radius: 4px;
  border: 1px solid #0b3d2e;
  background-color: transparent;
  font-size: 1em;
}

.subscribe-container input[type="submit"] {
  width: auto;
  text-decoration: none;
  padding: 10px 20px;
  background-color: #ff7a00;
  color: #fff;
  border-radius: 5px;
  font-size: 1em;
  transition: 0.3s linear;
}

.subscribe-container input[type="submit"]:hover {
  background-color: #0b3d2e;
}


/*--------------------------------*/
/* CUSTOM CURSOR */
/*--------------------------------*/

.custom-cursor {
  z-index: 10000;
  width: 10px;
  height: 10px;
  background-color: #ff7a00; /* Custom cursor color */
  border-radius: 50%;
  position: fixed;
  pointer-events: none; /* Avoid interfering with clicks */
  transform: translate(-50%, -50%); /* Centers the cursor around mouse position */
  transition: transform 0.1s ease-in-out; /* Smooth transition */
}

/*--------------------------------*/
/* FOOTER */
/*--------------------------------*/

footer {
  background-color: #0b3d2e;
  color: #fffcf2ff;
  font-size: 0.9em;
  width: 100%;
  padding: 20px 100px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 1em;
}

footer ul {
  list-style: none;
  display: flex;
  align-items: center;
}

footer li a:link,
footer li a:visited { margin-left: 20px; }

footer a:link,
footer a:visited {
  text-decoration: none;
  color: #fff;
  font-size: 0.9em;
  transition: 0.3s linear;
}

footer a:hover,
footer a:active {
  text-decoration: underline;
  color: #ff7a00;
}


/*--------------------------------*/
/* ANIMATIONS */
/*--------------------------------*/

/* MENU BAR ANIMATIONS */
@-webkit-keyframes waterEffect {
  0% {
    -webkit-filter: blur(0px) hue-rotate(0deg);
            filter: blur(0px) hue-rotate(0deg);
    opacity: 0;
    transform: scale(1);
  }
  50% {
    -webkit-filter: blur(2px) hue-rotate(120deg);
            filter: blur(2px) hue-rotate(120deg);
    opacity: 0.8;
    transform: scale(1.05); /* Slight enlargement to mimic flow */
  }
  100% {
    -webkit-filter: blur(0px) hue-rotate(0deg);
            filter: blur(0px) hue-rotate(0deg);
    opacity: 1;
    transform: scale(1);
  }
}
@keyframes waterEffect {
  0% {
    -webkit-filter: blur(0px) hue-rotate(0deg);
            filter: blur(0px) hue-rotate(0deg);
    opacity: 0;
    transform: scale(1);
  }
  50% {
    -webkit-filter: blur(2px) hue-rotate(120deg);
            filter: blur(2px) hue-rotate(120deg);
    opacity: 0.8;
    transform: scale(1.05); /* Slight enlargement to mimic flow */
  }
  100% {
    -webkit-filter: blur(0px) hue-rotate(0deg);
            filter: blur(0px) hue-rotate(0deg);
    opacity: 1;
    transform: scale(1);
  }
}

/*Animation*/

.js--wp-1,
.js--wp-2,
.js--wp-3,
.js--wp-5,
.js--wp-6,
.js--wp-7,
.js--wp-11 {
    opacity: 0;
    -webkit-animation-duration: 2s;
            animation-duration: 2s;
}

.js--wp-4,
.js--wp-8,
.js--wp-9 {
    -webkit-animation-duration: 2s;
            animation-duration: 2s;
}

.js--wp-5 {
    -webkit-animation-duration: 2s;
            animation-duration: 2s;
            animation-delay: 2s;
    -webkit-animation-delay: 2s;
}

.js--wp-1.animate,
.js--wp-2.animate,
.js--wp-3.animate,
.js--wp-5.animate,
.js--wp-6.animate,
.js--wp-7.animate,
.js--wp-11.animate {
    opacity: 1;
}